Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Interface AuthSession

All Known Implementing Classes:
  Ace5Session

    public interface AuthSession

Represents a user session object that an application uses to authenticate the user. An application uses the createUserSession method on an AuthSessionFactory instance to get an AuthSession instance.

Field Summary
`static int` | `ACCESS_DENIED` Returns status code from check(), clientCheck(), lock(), or next() that indicating that the authentication failed.
`static int` | `ACCESS_OK` Returns status code indicating that the authentication was successful.
`static int` | `NEW_PIN_REQUIRED` Returns status code from check() or clientCheck() indicating that the user is in the New PIN mode, and must obtain a new PIN for the token.
`static int` | `NEXT_CODE_BAD` Returns status code from next() indicating that the user has failed the Next Tokencode mode by entering the next tokencode incorrectly.
`static int` | `NEXT_CODE_REQUIRED` Returns status code from check() or clientCheck() indicating that the user is in the Next Tokencode mode, and must enter the next tokencode displayed on the RSA SecurID token.
`static int` | `PIN_ACCEPTED` Returns status code from pin() indicating that the Authentication Manager has accepted the PIN value the user entered during the New PIN mode.
`static int` | `PIN_REJECTED` Returns status code from pin() indicating that the Authentication Manager has not accepted the PIN value the user entered during the New PIN mode.

Method Summary
`int` | `check(java.lang.String userID, java.lang.String passCode)` Requests the Authentication Manager to validate the user's passcode.
`int` | `clientCheck(java.lang.String userID, java.lang.String passCode, java.net.InetAddress clientAddr)` Requests the Authentication Manager to validate the user's passcode on behalf of the RSA Authentication Agent, which is represented by an IP address.
`void` | `close()` Cleans up the session data and closes any open sockets.
`long` | `getAceTime()` Obtains the UTC time of the Authentication Manager.
`int` | `getAuthStatus()` Calls check(), clientCheck(), lock(), next(), and pin() to obtain the status of the last user's authentication request.
`PinData` | `getPinData()` Obtains the PIN parameters, including maximum and minimum lengths, PIN generation policy, and any PIN restrictions.
`java.lang.String` | `getShell()` Obtains the shell value that is defined in the applicable user record.
`int` | `lock(java.lang.String userID)` Requests the Authentication Manager to lock the user name that the user entered.
`int` | `next(java.lang.String nextCode)` To confirm the user's possession of the token, the Authentication Manager in certain instances puts the user into the Next Tokencode mode, requiring the user to enter the next tokencode displayed on the RSA SecurID token.
`int` | `pin(java.lang.String userPin)` The first time a user authenticates with an RSA SecurID token, the user is in New PIN mode, in which the user is either assigned or must choose a PIN.

Field Detail

### ACCESS_OK

    static final int ACCESS_OK

  Returns status code indicating that the authentication was successful.

  See Also:
    Constant Field Values

### ACCESS_DENIED

    static final int ACCESS_DENIED

  Returns status code from check(), clientCheck(), lock(), or next() that indicating that the authentication failed.

  See Also:
    Constant Field Values

### NEXT_CODE_REQUIRED

    static final int NEXT_CODE_REQUIRED

  Returns status code from check() or clientCheck() indicating that the user is in the Next Tokencode mode, and must enter the next tokencode displayed on the RSA SecurID token. Call next(), with the Next Tokencode to complete the transaction. The next() API should be called within 140 seconds if using Authentication Manager 6.1.2, or 120 seconds if using Authentication Manager 7.1.

  See Also:
    Constant Field Values

### NEXT_CODE_BAD

    static final int NEXT_CODE_BAD

  Returns status code from next() indicating that the user has failed the Next Tokencode mode by entering the next tokencode incorrectly.

  See Also:
    Constant Field Values

### NEW_PIN_REQUIRED

    static final int NEW_PIN_REQUIRED

  Returns status code from check() or clientCheck() indicating that the user is in the New PIN mode, and must obtain a new PIN for the token.

  The caller must use the getPinData() method to see the restrictions and options presented to the user. Call pin(), with the New Pin to complete the transaction. The pin() API should be called within 140 seconds if using Authentication Manager 6.1.2, or 120 seconds if using Authentication Manager 7.1.

  See Also:
    `PinData`, Constant Field Values

### PIN_ACCEPTED

    static final int PIN_ACCEPTED

  Returns status code from pin() indicating that the Authentication Manager has accepted the PIN value the user entered during the New PIN mode.

  Next, prompt the user to authenticate with the new PIN.

  See Also:
    Constant Field Values

### PIN_REJECTED

    static final int PIN_REJECTED

  Returns status code from pin() indicating that the Authentication Manager has not accepted the PIN value the user entered during the New PIN mode.

  See Also:
    Constant Field Values

Method Detail

### lock

    int lock(java.lang.String userID)
             throws AuthAgentException

  Requests the Authentication Manager to lock the user name that the user entered.

  Parameters:
    `userID` - user name entered during the current authentication request. Maximun length allowed for userID is 64.
  Returns:
    status code of the current authentication request
  Throws:
    `AuthAgentException`

### check

    int check(java.lang.String userID,
              java.lang.String passCode)
              throws AuthAgentException

  Requests the Authentication Manager to validate the user's passcode.

  Parameters:
    `userID` - user name entered during the current authentication request. Maximun length allowed for userID is 64.
    `passCode` - RSA SecurID passcode that the user supplied during authentication. Maximun length allowed for passCode is 16.
  Returns:
    status code of the authentication request
  Throws:
    `AuthAgentException`

### clientCheck

    int clientCheck(java.lang.String userID,
                    java.lang.String passCode,
                    java.net.InetAddress clientAddr)
                    throws AuthAgentException

  Requests the Authentication Manager to validate the user's passcode on behalf of the RSA Authentication Agent, which is represented by an IP address.

  Parameters:
    `userID` - user name entered in the current authentication request. Maximun length allowed for userID is 64.
    `passCode` - RSA SecurID passcode that the user supplied during authentication. Maximun length allowed for passCode is 16.
    `clientAddr` - IP address of the RSA Authentication Agent initiating the request
  Returns:
    status code of the authentication request
  Throws:
    `AuthAgentException`

### next

    int next(java.lang.String nextCode)
             throws AuthAgentException

  To confirm the user's possession of the token, the Authentication Manager in certain instances puts the user into the Next Tokencode mode, requiring the user to enter the next tokencode displayed on the RSA SecurID token.

  Parameters:
    `nextCode` - next tokencode displayed on the user's RSA SecurID token and entered by the user. Maximun length allowed for nextCode is 16.
  Returns:
    status code of the authentication request
  Throws:
    `AuthAgentException`

### pin

    int pin(java.lang.String userPin)
            throws AuthAgentException

  The first time a user authenticates with an RSA SecurID token, the user is in New PIN mode, in which the user is either assigned or must choose a PIN.

  Parameters:
    `userPin` - PIN the user supplies, if applicable, or the system-generated PIN. Maximun length allowed for userPin is 16.
  Returns:
    status code of the authentication request
  Throws:
    `AuthAgentException`

### getAuthStatus

    int getAuthStatus()
                      throws AuthAgentException

  Calls check(), clientCheck(), lock(), next(), and pin() to obtain the status of the last user's authentication request.

  Returns:
    status code of the last user's authentication request
  Throws:
    `AuthAgentException`

### getShell

    java.lang.String getShell()
                              throws AuthAgentException

  Obtains the shell value that is defined in the applicable user record. This returns a String of a maximum length 64 characters.

  First call check() or clientCheck().

  Returns:
    the shell string value
  Throws:
    `AuthAgentException`

### getPinData

    PinData getPinData()
                       throws AuthAgentException

  Obtains the PIN parameters, including maximum and minimum lengths, PIN generation policy, and any PIN restrictions.

  First call check() or clientCheck(). Call this API only when the status code from check() or clientCheck() indicates the user is in New PIN mode, else it throws an exception.

  Returns:
    the PIN parameters
  Throws:
    `AuthAgentException`

### close

    void close()
               throws AuthAgentException

  Cleans up the session data and closes any open sockets.

  Throws:
    `AuthAgentException`

### getAceTime

    long getAceTime()
                    throws AuthAgentException

  Obtains the UTC time of the Authentication Manager.

  Returns:
    UTC time in milliseconds since 1/1/1970 00:00:00.000
  Throws:
    `AuthAgentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.